<template>
  <a-row
    type="flex"
    :gutter="16"
  >
    <a-col
      :md="8"
      :sm="24"
    >
      <work-center-tree 
      @getFactoryInfo="getFactoryInfo"
      @getAddDisabled="getAddDisabled" 
      @getParentId="getParentId" 
      @clearSelectList="clearSelectList" 
      @getUpdatePermission="getUpdatePermission"
      @getFactoryStatus="getFactoryStatus"
      >
    </work-center-tree>
    </a-col>
    <a-col
      :md="24-8"
      :sm="24"
    >
      <work-center-list 
      :updatePermission="updatePermission"
      :factoryStatus="factoryStatus"
      :factoryInfo="factoryInfo"
      ref="list" 
      :parentId="parentId" 
      :addDisabled="addDisabled"
      >
    </work-center-list>
    </a-col>
  </a-row>
</template>

<script>
import WorkCenterTree from './modules/workcenter/WorkCenterTree.vue'
import WorkCenterList from './modules/workcenter/WorkCenterList.vue'
export default {
  name: 'FactoryManager',
  components: {
    WorkCenterTree,
    WorkCenterList,  
  },
  data() {
    return {
      parentId:'',
      addDisabled:false,
      factoryInfo:{},
      updatePermission:false,
      factoryStatus:false,
    }
  },
  methods: {
    getParentId(parentId){
      this.parentId = parentId;
    },
    getFactoryInfo(factoryInfo){
      this.factoryInfo = factoryInfo;
    },
    getAddDisabled(isAble){
       this.addDisabled=isAble;
    },
    clearSelectList(){
      this.$refs.list.clearSelectList();
    },
    getUpdatePermission(val){
      console.log(val)
      this.updatePermission=val;
    },
    getFactoryStatus(val){
      this.factoryStatus=val
    }
  },
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>